<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Kawal Covid 2019 - Dashboard</title>
    <link rel="shortcut icon" href="data:image/x-icon;," type="image/x-icon">
    <link rel="stylesheet" href="https://kawalcovid19.blob.core.windows.net/viz/style.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script type="text/javascript" language="javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script type="text/javascript" language="javascript" src="https://rawgit.com/Microsoft/PowerBI-JavaScript/master/dist/powerbi.min.js"></script> </script>
</head>

<body>
<!--    <button class="gotodemografi"> DEMOGRAFI </button>-->

    <ul class="horizontal">
        <li>
            <a class="page1" style="color:white;">Jumlah Kasus Harian</a>
        </li>
        <li>
            <a class="page2" style="color:white;">Demografi</a>
        </li>
    </ul>
    <div id="reportContainer" style="width: 100%; height: 100vh;"></div>
</body>

<script>
    $(document).ready(function () {
        var report;
        var getEmbedToken = "https://kc19-statistik-harian2.azurewebsites.net/api/statharian?code=Ug6TSCa2OT/6PDRako7odgtj1xpPjRZQO7sqUARQRSjYl5Becv4qLQ==";
        var $reportContainer = $('#reportContainer');

        report = powerbi.bootstrap(
                    $reportContainer.get(0),
                    {
                        type: 'report',
                        embedUrl: "https://app.powerbi.com/reportEmbed?reportId=d3faeae4-427d-4725-9c41-ae81a0c647b1&groupId=49468b5a-6a98-45c9-93be-602e91db6e4f"
                    }
                );

        $.ajax({
            url: getEmbedToken,
            jsonpCallback: 'callback',
            contentType: 'application/javascript',
            dataType: "jsonp",
            success: function (json) {

                var models = window['powerbi-client'].models;

                var embedConfiguration = {
                    type: 'report',
                    id: json.ReportId,
                    embedUrl: json.EmbedUrl,
                    tokenType: models.TokenType.Embed,
                    accessToken: json.EmbedToken
                };

                report = powerbi.embed($reportContainer.get(0), embedConfiguration);
            },
            error: function () {
                alert("Error");
            }
        });

        $('.page1').click(function(e){
            report.getPages()
             .then(pages => {
                 pages[0].setActive();
             });
        });

        $('.page2').click(function(e){
            report.getPages()
             .then(pages => {
                 pages[1].setActive();
             });
        });

    });
</script>
</html>